package com.dtocrudoperation.Service;

import java.util.List;
import java.util.stream.Collectors;
import com.dtocrudoperation.Model.User;
import org.springframework.stereotype.Service;
import com.dtocrudoperation.Dto.UserLocationDto;
import com.dtocrudoperation.Repository.UserRepository;
import org.springframework.beans.factory.annotation.Autowired;

@Service
public class UserService {

    @Autowired
    private UserRepository userRepository;

    public List<UserLocationDto> getAllUsersLocations() {
        return ((List<User>) userRepository
                .findAll())
                .stream()
                .map(this::convertEntityToDto)
                .collect(Collectors.toList());
    }
    private UserLocationDto convertEntityToDto(User user){
        UserLocationDto userLocationDto = new UserLocationDto();
        userLocationDto.setUserId(user.getId());
        userLocationDto.setEmail(user.getEmail());
        userLocationDto.setPlace(user.getLocation().getPlace());
       userLocationDto.setLongitude(user.getLocation().getLongitude());
       userLocationDto.setLatitude(user.getLocation().getLatitude());
       return userLocationDto;
    }
}
